io.etcd.jetcd.api

## Interface MemberUpdateRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  MemberUpdateRequest, MemberUpdateRequest.Builder

    public interface MemberUpdateRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getID()` ID is the member ID of the member to update.
`String` `getPeerURLs(int index)` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`com.google.protobuf.ByteString` `getPeerURLsBytes(int index)` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`int` `getPeerURLsCount()` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`List<String>` `getPeerURLsList()` peerURLs is the new list of URLs the member will use to communicate with the cluster.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getID

    long getID()

     ID is the member ID of the member to update.

`uint64 ID = 1;`

Returns:
  The iD.

#### getPeerURLsList

    List<String> getPeerURLsList()

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Returns:
  A list containing the peerURLs.

#### getPeerURLsCount

    int getPeerURLsCount()

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Returns:
  The count of peerURLs.

#### getPeerURLs

    String getPeerURLs(int index)

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The peerURLs at the given index.

#### getPeerURLsBytes

    com.google.protobuf.ByteString getPeerURLsBytes(int index)

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the peerURLs at the given index.